ru.bitel.bgbilling.modules.sberbank.common.service

## Interface SberbankService

- All Superinterfaces:
    PaymentServiceProvider

      public interface SberbankService
      extends PaymentServiceProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkTransactions(int contractId)` Запросить у сервера банка статус не завершенных транзакций
    `void` | `doManualAutopayment(int contractId, java.math.BigDecimal sum)` Ручной автоплатеж
    `java.util.List<java.lang.String[]>` | `getAutopaymentBindingData(int contractId)` Возвращает список активных связок с сервера ПС
    `SearchResult<Autopayment>` | `searchAutopaymentList(int contractId, Period period, java.lang.String[] sort, Page page)` Возращает историю изменения автоплатежей на договоре
    `SearchResult<Transaction>` | `searchTransactionList(int contractId, java.lang.String contractTitle, java.lang.String status, Period period, java.lang.String[] sort, Page page)` Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.

    - ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

      `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, endTransaction`

- - ### Method Detail

    - #### searchTransactionList

          SearchResult<Transaction> searchTransactionList(int contractId,
                                                          java.lang.String contractTitle,
                                                          java.lang.String status,
                                                          Period period,
                                                          java.lang.String[] sort,
                                                          Page page)
                                                   throws ru.bitel.bgbilling.common.BGException

      Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.
      Parameters:
        `contractId` - код договора
        `contractTitle` - название договора
        `status` - числовой код статуса
        `period` - период фильтрации транзакций.
      Returns:
        список транзакций.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkTransactions

          void checkTransactions(int contractId)
                          throws ru.bitel.bgbilling.common.BGException

      Запросить у сервера банка статус не завершенных транзакций
      Parameters:
        `contractId` - код договора, если код больше 0 проверяются транзакции только для этого договора, иначе все
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAutopaymentBindingData

          java.util.List<java.lang.String[]> getAutopaymentBindingData(int contractId)
                                                                throws ru.bitel.bgbilling.common.BGException

      Возвращает список активных связок с сервера ПС
      Parameters:
        `contractId` - код договора
      Returns:
        Список связок, каждый элемент списка строковый массив из трех элементов "Идентификатор связки", "Маскированный номер карты", "Срок истечения действия карты (YYYYMM)"
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchAutopaymentList

          SearchResult<Autopayment> searchAutopaymentList(int contractId,
                                                          Period period,
                                                          java.lang.String[] sort,
                                                          Page page)
                                                   throws ru.bitel.bgbilling.common.BGException

      Возращает историю изменения автоплатежей на договоре
      Parameters:
        `contractId` -
        `period` -
        `sort` -
        `page` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doManualAutopayment

          void doManualAutopayment(int contractId,
                                   java.math.BigDecimal sum)
                            throws ru.bitel.bgbilling.common.BGException

      Ручной автоплатеж
      Parameters:
        `contractId` -
        `sum` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`